Delete DDS Statement
curl --request DELETE \
--url https://app.polygon-one.com/api/v1/dds-statements/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.polygon-one.com/api/v1/dds-statements/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.polygon-one.com/api/v1/dds-statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.polygon-one.com/api/v1/dds-statements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.polygon-one.com/api/v1/dds-statements/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.polygon-one.com/api/v1/dds-statements/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.polygon-one.com/api/v1/dds-statements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true
}{
"error": "Validation failed",
"details": [
{
"origin": "string",
"code": "too_small",
"minimum": 1,
"inclusive": true,
"path": [
"address",
"street"
],
"message": "Address is required."
}
]
}{
"error": "Invalid or expired API key"
}{
"error": "Forbidden"
}{
"error": "Resource not found"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"warnings": [
{
"type": "duplicateName",
"existingInternalArticleNr": "<string>",
"existingArticleName": "<string>"
}
]
}{
"error": {
"code": "rate_limited",
"message": "…"
}
}{
"error": "Internal server error"
}DDS Statements
Delete DDS Statement
Delete a DDS statement in Polygon One. This does not withdraw a submitted statement in TRACES. A statement that has submission records is moved to the trash (soft delete) and kept for the retention period; any other statement is deleted permanently. Deleting a draft group head also moves its draft members to the trash. A member of a grouped DDS cannot be deleted on its own: the request answers 409 with code: GROUP_MEMBER_DELETE_REFUSED and nothing is deleted. For an external statement (source: external), the compliance status of the supplier articles it covered is recalculated. An id that names no live statement of your company answers 404. Requires dds:write.
DELETE
/
api
/
v1
/
dds-statements
/
{id}
Delete DDS Statement
curl --request DELETE \
--url https://app.polygon-one.com/api/v1/dds-statements/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.polygon-one.com/api/v1/dds-statements/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.polygon-one.com/api/v1/dds-statements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.polygon-one.com/api/v1/dds-statements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.polygon-one.com/api/v1/dds-statements/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.polygon-one.com/api/v1/dds-statements/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.polygon-one.com/api/v1/dds-statements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true
}{
"error": "Validation failed",
"details": [
{
"origin": "string",
"code": "too_small",
"minimum": 1,
"inclusive": true,
"path": [
"address",
"street"
],
"message": "Address is required."
}
]
}{
"error": "Invalid or expired API key"
}{
"error": "Forbidden"
}{
"error": "Resource not found"
}{
"error": "<string>",
"code": "<string>",
"details": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"warnings": [
{
"type": "duplicateName",
"existingInternalArticleNr": "<string>",
"existingArticleName": "<string>"
}
]
}{
"error": {
"code": "rate_limited",
"message": "…"
}
}{
"error": "Internal server error"
}